package com.bzd.system.service.yxgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 海报信息表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SYxglPosterinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSYxglPosterinfo(PageData pd)throws Exception {
        return daoSupport.update("SYxglPosterinfoMapper.addSYxglPosterinfo", pd);
    }

    public List<PageData> findSYxglPosterinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SYxglPosterinfoMapper.selectSYxglPosterinfoList", pd);
    }

    public Integer SYxglPosterinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SYxglPosterinfoMapper.SYxglPosterinfoRemove", pd);
    }


    public Integer updateSYxglPosterinfo(PageData pd)throws Exception {
        return daoSupport.update("SYxglPosterinfoMapper.updateSYxglPosterinfo", pd);
    }

}
